Skip to main content

Create Service Request File: Yardi

POSThttps://api.propexo.com/v1/service-requests/yardi/:service_request_id/file-upload
InterfaceMethod
Service RequestsImportWorkOrderDocumentExt
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

service_request_id stringrequired

The Propexo unique identifier for the service request

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    attachment objectrequired

    The file to attach to the Service Request

    file_type_idstringrequired

    The Propexo unique identifier for the file type. The file type provided must be listed as being compatible with the Service Requests model.

    file_datastringrequired

    Possible values: <= 66500000 characters

    file_extensionstringrequired

    The file extension for the attachment being uploaded

    Show 8 enum values
    pdfdocdocxxlsxlsxjpgjpegpng
    descriptionstringrequired

    A description of the file being uploaded

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    service_request_idstringrequired

    The Propexo unique identifier for the service request

    attachment objectrequired
    file_type_idstringrequired

    The Propexo unique identifier for the file type. The file type provided must be listed as being compatible with the Service Requests model.

    file_datastring | nullnullable

    Possible values: <= 66500000 characters

    file_extensionstringrequired

    The file extension for the attachment being uploaded

    Show 8 enum values
    pdfdocdocxxlsxlsxjpgjpegpng
    descriptionstringrequired

    A description of the file being uploaded

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/service-requests/yardi/:service_request_id/file-upload
curl -X POST https://api.propexo.com/v1/service-requests/yardi/:service_request_id/file-upload \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"attachment": {
"file_type_id": "string",
"file_data": "string",
"file_extension": "pdf",
"description": "string"
}
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"service_request_id": "string",
"attachment": {
"file_type_id": "string",
"file_data": "string",
"file_extension": "pdf",
"description": "string"
}
}
}